Thunderbird3.1対応アドオン

Mozilla Thunderbird3.1がリリースされたのだけど、自分的に必須のアドオンのバージョンがなかなか上がってくれない。

xpungeしかり。Folder Accountしかり。なので、自己責任でダマしてみることにした。

アドオンは拡張子 xpi だけど、実体はzipファイルなので一時的にzipにリネームして中にある install.rdf ファイルを取り出す。
このファイルの中にThunderbirdのバージョンチェック部分があるのでここを変更する。

例えば Folder Aaountアドオンの install.rdf には

<em:maxVersion>3.0.*</em:maxVersion>

とあるから、ここを

<em:maxVersion>3.1.*</em:maxVersion>

に変更して、もう一度zipファイルの中に書き戻してから、元通りxpi拡張子にリネームする。

もちろんすべてのアドオンで可能なわけではないが、(現にQuickTextは出来なさそうだった。)これで3.1にバージョンアップしても通常使用が出来るようになった。